POST api/Accounts
Creates a new account in Eye Reach Patients.
Request Information
URI Parameters
None.
Body Parameters
Model used to create the account.
NewAccountModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountName |
The name of the account. |
string |
None. |
| AccountUrlName |
The name of the account in the URL. |
string |
None. |
| AccountOwnerExternalId |
Unique ID of the account owner on integrating system. |
string |
None. |
| AccountOwnerFirstName |
First name of the account owner. |
string |
None. |
| AccountOwnerMiddleName |
Middle name of the account owner. |
string |
None. |
| AccountOwnerLastName |
Last name of the account owner. |
string |
None. |
| Username |
User name of the account owner. |
string |
None. |
| Password |
Password of the account owner. |
string |
None. |
| AccountOwnerEmailAddress |
AccountOwner's email address of the account owner. |
string |
None. |
| PartnerKey |
Key of the Partner. |
string |
None. |
| AllowPatientRegistration |
Allow patient registration. |
boolean |
None. |
| ConsolidateRemindersForTheDay |
Consolidate reminders for the day. |
boolean |
None. |
| PatientEducationTokenUrl |
Patient education token URL. |
string |
None. |
| PatientEducationUsername |
Patient education username. |
string |
None. |
| PatientEducationPassword |
Patient education password. |
string |
None. |
| PatientEducationInterfaceActive |
Patient education interface is active or no. |
string |
None. |
| CountryCode |
Country code of the account owner. |
string |
None. |
Request Formats
application/json, text/json
{
"accountName": "sample string 1",
"accountUrlName": "sample string 2",
"accountOwnerExternalId": "sample string 3",
"accountOwnerFirstName": "sample string 4",
"accountOwnerMiddleName": "sample string 5",
"accountOwnerLastName": "sample string 6",
"username": "sample string 7",
"password": "sample string 8",
"accountOwnerEmailAddress": "sample string 9",
"partnerKey": "sample string 10",
"allowPatientRegistration": true,
"consolidateRemindersForTheDay": true,
"patientEducationTokenUrl": "sample string 13",
"patientEducationUsername": "sample string 14",
"patientEducationPassword": "sample string 15",
"patientEducationInterfaceActive": "sample string 16",
"countryCode": "sample string 17"
}
application/xml, text/xml
<NewAccountModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Accounts"> <AccountName>sample string 1</AccountName> <AccountOwnerEmailAddress>sample string 9</AccountOwnerEmailAddress> <AccountOwnerExternalId>sample string 3</AccountOwnerExternalId> <AccountOwnerFirstName>sample string 4</AccountOwnerFirstName> <AccountOwnerLastName>sample string 6</AccountOwnerLastName> <AccountOwnerMiddleName>sample string 5</AccountOwnerMiddleName> <AccountUrlName>sample string 2</AccountUrlName> <AllowPatientRegistration>true</AllowPatientRegistration> <ConsolidateRemindersForTheDay>true</ConsolidateRemindersForTheDay> <CountryCode>sample string 17</CountryCode> <PartnerKey>sample string 10</PartnerKey> <Password>sample string 8</Password> <PatientEducationInterfaceActive>sample string 16</PatientEducationInterfaceActive> <PatientEducationPassword>sample string 15</PatientEducationPassword> <PatientEducationTokenUrl>sample string 13</PatientEducationTokenUrl> <PatientEducationUsername>sample string 14</PatientEducationUsername> <Username>sample string 7</Username> </NewAccountModel>
application/x-www-form-urlencoded
Response Information
Resource Description
NewAccountResultModel| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountId |
The ID of the account. |
globally unique identifier |
None. |
| AccountNumber |
Number of the account. This number must be used later as part of the URL to access the web interface of the application. |
string |
None. |
| SynchronizationUserName |
Synchronization user name |
string |
None. |
| SynchronizationPassword |
Synchronization password. |
string |
None. |
Response Formats
application/json, text/json
{
"accountId": "ba864b6e-afcc-4fb7-a299-d02ed1a46280",
"accountNumber": "sample string 2",
"synchronizationUserName": "sample string 3",
"synchronizationPassword": "sample string 4"
}
application/xml, text/xml
<NewAccountResultModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Accounts"> <AccountId>ba864b6e-afcc-4fb7-a299-d02ed1a46280</AccountId> <AccountNumber>sample string 2</AccountNumber> <SynchronizationPassword>sample string 4</SynchronizationPassword> <SynchronizationUserName>sample string 3</SynchronizationUserName> </NewAccountResultModel>